function [N,C]=density(data_2d_columnar)
D=data_2d_columnar;
figure('Name','Density Contour');
[N,C]=hist3(D,[100 100]);
N(N==0)=NaN;
N=log10(N);
contourf(C{1},C{2},N,7);
xlim([-inf inf]);
ylim([-inf inf]);
h=gcf;
n=1;
if n>0;
h.Colormap(n,:)=0.9.*ones(n,3);
end
%shading interp
box off
title('Density Contour: Log Scale');
end